function [trenovaci]=SVM_uprava_em(delka,matice_SVM_BIN_PSY_EM,a)
X=(1:20);
a=sort(a);
pomf9=[];
pomf10=[];

for q=1:length(a);
pom4=a(q);
X(pom4)=0;
end

X(X==0)=[];

% pro KOG
inter_delka=[1,delka];

for f=1:length(X);
    pomf1=X(f);
    pomf2=inter_delka(1:pomf1);
    pomf2=sum(pomf2);
    pomf3=inter_delka(1:pomf1+1);
    pomf3=sum(pomf3);
    pomf4=matice_SVM_BIN_PSY_EM(pomf2:pomf3,:);
    pomf5=pomf4(7400:7700,:);
    pomf51=pomf4(12900:15700,:);
    
    pomf7=zeros(size(pomf5,1),6);
    pomf71=zeros(size(pomf5,1),6);

    for g=1:size(pomf5,1);
        pomf6=size(pomf5,1)+1;
        pomf7(g,:)=pomf5(pomf6-g,:);
    end
    
    for h=1:size(pomf51,1);
        pomf61=size(pomf51,1)+1;
        pomf71(h,:)=pomf51(pomf61-h,:);
    end
    
    pomf8=pomf4;
    pomf8(9000:11000,:)=[];
    pomf8(4000:6000,:)=[];
 
    
    pomf9=[pomf8;pomf7;pomf71];
    pomf10=[pomf9;pomf10];
    
end

trenovaci=pomf10;

end

